package com.sw.mes.yb.check.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.check.entity.CrystallonData;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface CrystallonDataService extends BaseService<CrystallonData> {

    CrystallonData findByCrystallonNo(String crystallonNo);

    List<CrystallonData> findByCrystalNo(String crystalNo);

    void save(List<CrystallonData> crystallonDataList);

    void exportExcel(HttpServletRequest request, HttpServletResponse resp);
}
